%global pkgvers 0
%global scdate0 20220701
%global schash0 e5af5f7cc94ad9845c3348ca48e7b9f735f416ea
%global branch0 master
%global source0 https://github.com/dmlc/gluon-cv.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           gluon-cv
Version:        0.10.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Gluon CV Toolkit 
License:        Apache
BuildArch:      noarch

URL:            https://cv.gluon.ai

BuildRequires:  git python3-devel python3-setuptools

%description
Gluon CV Toolkit.

%package python3
Summary: Python files for %{name}

%description python3
This package contains python files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%{__python3} setup.py build


%install
rm -rf %{buildroot}

%{__python3} setup.py install --root %{buildroot}

mkdir -p %{buildroot}/%{_libdir}
cp -rl %{buildroot}/usr/lib/* -t %{buildroot}/%{_libdir}/
rm -rf %{buildroot}/usr/lib

# clean junk
rm -rf %{buildroot}%{python3_sitearch}/tests


%files python3
%doc README.md MANIFEST.in
%license LICENSE
%defattr(-,root,root,-)
%{python3_sitearch}/*


%changelog
* Mon Mar 18 2019 Balint Cristian <cristian.balint@gmail.com>
- github update releases
